package com.yidian.shenghuoquan.border.adapter

import android.app.Activity
import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.RelativeLayout
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.yidian.bcommon.constant.XEventConfig.Companion.CONFIRM_ORDER_CHOOSE_COUPON_SUCCESS
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.dto.CouponDto
import com.yidian.xarc.xevent.XBaseEvent
import com.yidian.xarc.xevent.XEventManager

class VoncherAdapter(var context: Context, var voncherList:List<CouponDto>) : RecyclerView.Adapter<RecyclerView.ViewHolder>() {
  override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RecyclerView.ViewHolder {
    var view: View = LayoutInflater.from(context).inflate(R.layout.border_voncher_item, parent, false)
    var holder = MyViewHoder(view)
    return holder
  }

  override fun onBindViewHolder(holder: RecyclerView.ViewHolder, position: Int) {
    mapDataToHoder(voncherList[position], holder as MyViewHoder, position)
  }

  override fun getItemCount(): Int {
    return voncherList.size
  }

  class MyViewHoder(itemView: View) : RecyclerView.ViewHolder(itemView) {

  }

  private fun mapDataToHoder(data: CouponDto, holder: MyViewHoder, position: Int) {
    holder.itemView.findViewById<TextView>(R.id.tv_voncher_name).text = data.name
    holder.itemView.findViewById<TextView>(R.id.tv_voncher_amount).text = data.amount
    holder.itemView.findViewById<TextView>(R.id.tv_start_end_time).text = "${data.startTime} ${data.endTime}"
    holder.itemView.findViewById<TextView>(R.id.tv_voncher_type).text = "${data.scopeUse}"
    holder.itemView.findViewById<TextView>(R.id.tv_voncher_desc).text = data.desc
    holder.itemView.findViewById<RelativeLayout>(R.id.rl_use_voncher).setOnClickListener {
        XEventManager.post(XBaseEvent(CONFIRM_ORDER_CHOOSE_COUPON_SUCCESS, position))
        var ac = context as Activity
        ac.finish()
    }
  }
}
